<?php

use App\Base\Base;
use \Validate\GoodsTccValidate;
use \App\Services\tcc\TccService;


class TccController extends Base
{
    /**
     * 下单商品 tcc try
     * @throws \App\Exception\custom\ParamException
     */
    public function place_an_order_tryAction()
    {
        (new GoodsTccValidate())->validate();

        $res = TccService::placeAnOrderTry($this->params["goods_id"], $this->params["t_id"]);
        $this->success(["result"=>$res]);
    }

    /**
     * 下单商品 tcc confirm
     * @throws \App\Exception\custom\ParamException
     */
    public function place_an_order_confirmAction()
    {
        (new GoodsTccValidate())->validate();

        $res = TccService::placeAnOrderConfirm($this->params["goods_id"], $this->params["t_id"]);
        $this->success(["result"=>$res]);
    }

    /**
     * 下单商品 tcc cancel
     * @throws \App\Exception\custom\ParamException
     */
    public function place_an_order_cancelAction()
    {
        (new GoodsTccValidate())->validate();

        $res = TccService::placeAnOrderCancel($this->params["goods_id"], $this->params["t_id"]);
        $this->success(["result"=>$res]);
    }

    public function cancel_order_tryAction()
    {

    }

    public function cancel_order_confirmAction()
    {

    }

    public function cancel_order_cancelAction()
    {

    }
}